Bug 198610 - FC 2.6.17-* kernels do not initialize video during resume
FC 2.6.17-* kernels do not initialize video during resume
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-12 05:43 EDT by Matthias Runge
Modified: 2015-01-04 17:27 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-16 16:56:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthias Runge 2006-07-12 05:43:45 EDT
Description of problem:
Kernel does not re-initialize video after suspend.

Version-Release number of selected component (if applicable):
2.6.17-2145 
2.6.17-2133 (and probably all 2.6.17*)

How reproducible:
every time.

Steps to Reproduce:
1. Boot into kernel
2. suspend to ram, e.g. by echo -n mem > /sys/power/state
3. wake up 
  
Actual results:
Screen reamins black

Expected results:
Screen shows last image, e.g. X.

Additional info:
The same configuration worked under FC 2.6.16 kernels and works under vanilla
2.6.16.24, 2.6.17.4, so it has to be something with FC specific changes in the
kernel.

System is a Thinkpad T43, X.Org video drivers, no special kernel command line
flags, e.g. acpi_sleep=bios_s3 (which do not solve this problem).
Comment 1 Juliano F. Ravasi 2006-07-12 12:49:19 EDT
Confirmed here.

HP-Compaq nx6110 laptop. Any 2.6.16 kernel works ok. Both 2.6.17-1.2139 and
2.6.17-1.2145 have problem comming back from suspend-to-ram and suspend-to-disk.
Using i810 Xorg driver. X reports this upon resume and bails out:

Error in I830WaitLpRing(), now is 1671340315, start is 1671338314
pgetbl_ctl: 0x0 pgetbl_err: 0x12
ipeir: 0 iphdr: 0
LP ring tail: 10 head: 0 len: 0 start 0
eir: 0 esr: 10 emr: ffff
instdone: ffc0 instpm: 0
memmode: 10f instps: 0
hwstam: ffff ier: 0 imr: ffff iir: 0
space: 131048 wanted 131064

FatalError re-entered, aborting
lockup

Screen stays off. I have to tap the lid switch and perform a
Ctrl-Alt-F1/Ctrl-Alt-F7 to get it back to work. After comming back, X runs on
the wrong resolution, and reports this:

(WW) I810(0): Bad V_BIOS checksum
(II) I810(0): Not using mode "1024x768" (no mode of this name)
(**) I810(0): Display dimensions: (320, 240) mm
(WW) I810(0): Probed monitor is 300x230 mm, using Displaysize 320x240 mm
(WW) I810(0): Extended BIOS function 0x5f05 failed.
(WW) I810(0): PGTBL_ER is 0x00000012
Comment 2 Matthias Runge 2006-07-20 04:08:21 EDT
Kernel 2.6.17-1.2157 doesn't work, either.
Comment 3 Dave Jones 2006-10-16 13:24:21 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 4 Juliano F. Ravasi 2006-10-16 16:46:43 EDT
2.6.18-1.2200.fc5 fixed the problem on my hardware (see comment #1). I could
successfully suspend-to-ram the laptop and bring it back.

Note You need to log in before you can comment on or make changes to this bug.